Package org.opensaml.saml.common.binding.artifact

# Interface SAMLArtifactMap.SAMLArtifactMapEntryFactory

All Known Implementing Classes:
  `ExpiringSAMLArtifactMapEntryFactory`, `StorageServiceSAMLArtifactMapEntryFactory`

Enclosing interface:
  SAMLArtifactMap

public static interface SAMLArtifactMap.SAMLArtifactMapEntryFactory
A factory for producing SAMLArtifactMapEntry instances based on standard inputs, and reading/writing them from/to storage.

## Method Summary

Modifier and Type
Method
Description
`SAMLArtifactMap.SAMLArtifactMapEntry`
`newEntry(String artifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.

## Method Details

### newEntry

@Nonnull SAMLArtifactMap.SAMLArtifactMapEntry newEntry(@Nonnull @NotEmpty String artifact, @Nonnull @NotEmpty String issuerId, @Nonnull @NotEmpty String relyingPartyId, @Nonnull SAMLObject samlMessage)
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.

Parameters:
  `artifact` - the artifact
  `issuerId` - ID of the issuer of the artifact
  `relyingPartyId` - ID of the party the artifact was sent to
  `samlMessage` - the SAML message
Returns:
  the new map entry instance